pppoe ,) antiX-23_core_x64

Forum Forums Official Releases antiX-23 “Arditi del Popolo pppoe ,) antiX-23_core_x64

  • This topic has 3 replies, 1 voice, and was last updated Sep 17-11:43 am by user_x.
Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #115161
    Member
    user_x

      -core iso can’t connect by pppoe

      pppoeconf
      pon dsl-provider
       !!! /usr/sbin/pppd: error while loading shared libraries: libcrypto.so.1.1: ... No such file
      

      …it stange… in my antix-22_386
      dpkg -L libcrypt1 libcryptsetup12 libcrypt-dev | egrep \.so
      not show any libcrypto.so , but
      ls -A1 /lib/i386-linux-gnu/libcrypt*
      they exists… wherefrom?

      #115163
      Member
      user_x

        I’m sorry ) I found it
        dpkg -L libssl1.1

        #115280
        Member
        user_x

          connect works after coping files from antiX22

          mount /media/antiX22
          cp -v /media/antiX22/lib/x86_64-linux-gnu/libsystemd.so.0 /lib/x86_64-linux-gnu
          cp -v /media/antiX22/lib/x86_64-linux-gnu/libssl.so.1.1 /lib/x86_64-linux-gnu
          cp -v /media/antiX22/lib/x86_64-linux-gnu/libcrypto.so.1.1 /lib/x86_64-linux-gnu

          but after apt update only libssl3(installed) & libssl 1.0 available
          … or I not undersand something … or pppd
          need to remake with libssl3 )

          // looks like in -base iso the same

          • This reply was modified 10 months ago by user_x.
          #117017
          Member
          user_x

            another case…
            I installed amd64 base iso
            then I found libssl1.1 only on bullseye
            apt install /home/libssl1.1_1.1.1n-0+deb10u6_amd64.deb
            file from http://security.debian.org/debian-security/pool/updates/main/o/openssl/
            then I added symlink
            ln -s /lib/x86_64-linux-gnu/libelogind.so.0 /lib/x86_64-linux-gnu/libsystemd.so.0
            … package libelogind0

            I don’t know how right is it . But it works

            pppoeconf
            mv -T /etc/ppp/peers/provider /etc/ppp/peers/~provider
            mv -T /etc/ppp/peers/dsl-provider /etc/ppp/peers/provider
            pon

            update:
            … on antiX-22 with libssl1.1 all is good .)) https://www.antixforum.com/forums/topic/antix-22-pppoe/

            • This reply was modified 9 months, 1 week ago by user_x.
          Viewing 4 posts - 1 through 4 (of 4 total)
          • You must be logged in to reply to this topic.